Debian Bug report logs - #627333
start-stop-daemon: Would like to be able to redirect IO of daemon process

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Nicholas Bamber <nicholas@periapt.co.uk>

Date: Thu, 19 May 2011 16:09:05 UTC

Severity: wishlist

Merged with 646425

Found in versions dpkg/1.16.0.2, dpkg/1.15.8.8

Fixed in version dpkg/1.16.5

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#627333; Package dpkg. (Thu, 19 May 2011 16:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Thu, 19 May 2011 16:09:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: start-stop-daemon: Would like to be able to redirect IO of daemon process
Date: Thu, 19 May 2011 17:05:33 +0100
Package: dpkg
Version: 1.16.0.2
Severity: wishlist

It would be nice to have --stderr, --stdout and --stdin options to control
the IO of the daemon process.
This seems to be a common requirement with badly behaved server processes.
Some background links:

http://serverfault.com/questions/162602/stdout-stderr-redirects-in-start-stop-daemon

http://bugs.gentoo.org/138409

http://www.linuxquestions.org/questions/linux-server-73/writing-debian-init-script-for-process-that-has-no-syslog-integration-881500/

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dpkg depends on:
ii  coreutils               8.5-1            GNU core utilities
ii  libbz2-1.0              1.0.5-6          high-quality block-sorting file co
ii  libc6                   2.11.2-13        Embedded GNU C Library: Shared lib
ii  libselinux1             2.0.98-1         SELinux runtime shared libraries
ii  xz-utils                5.0.0-2          XZ-format compression utilities
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

dpkg recommends no packages.

Versions of packages dpkg suggests:
ii  apt                           0.8.10.3   Advanced front-end for dpkg

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#627333; Package dpkg. (Fri, 15 Jun 2012 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 15 Jun 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 627333@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Nicholas Bamber <nicholas@periapt.co.uk>, 627333@bugs.debian.org, 627333-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#627333: start-stop-daemon: Would like to be able to redirect IO of daemon process
Date: Fri, 15 Jun 2012 22:48:04 +0200
On Thu, May 19, 2011 at 05:05:33PM +0100, Nicholas Bamber wrote:
> It would be nice to have --stderr, --stdout and --stdin options to control
> the IO of the daemon process.

+1!

Greetings
Marc




Message sent on to Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#627333. (Fri, 15 Jun 2012 20:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#627333; Package dpkg. (Fri, 15 Jun 2012 21:15:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 15 Jun 2012 21:18:44 GMT) Full text and rfc822 format available.

Message #18 received at 627333@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Marc Haber <mh+debian-bugs@zugschlus.de>
Cc: Nicholas Bamber <nicholas@periapt.co.uk>, 627333@bugs.debian.org
Subject: Re: start-stop-daemon: Would like to be able to redirect IO of daemon process
Date: Fri, 15 Jun 2012 16:06:24 -0500
Marc Haber wrote:
> On Thu, May 19, 2011 at 05:05:33PM +0100, Nicholas Bamber wrote:

>> It would be nice to have --stderr, --stdout and --stdin options to control
>> the IO of the daemon process.
>
> +1!

Can you say a little more?  What daemon, what workaround are you using
instead, can you think of any possible downsides and how do you suggest
mitigating them, etc?

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#627333; Package dpkg. (Sat, 16 Jun 2012 02:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 16 Jun 2012 02:54:03 GMT) Full text and rfc822 format available.

Message #23 received at 627333@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 627333@bugs.debian.org
Cc: Marc Haber <mh+debian-bugs@zugschlus.de>, Nicholas Bamber <nicholas@periapt.co.uk>
Subject: Re: Bug#627333: start-stop-daemon: Would like to be able to redirect IO of daemon process
Date: Sat, 16 Jun 2012 04:50:40 +0200
merge 627333 646425
thanks

Hi!

On Fri, 2012-06-15 at 16:06:24 -0500, Jonathan Nieder wrote:
> Marc Haber wrote:
> > On Thu, May 19, 2011 at 05:05:33PM +0100, Nicholas Bamber wrote:
> 
> >> It would be nice to have --stderr, --stdout and --stdin options to control
> >> the IO of the daemon process.
> >
> > +1!

> Can you say a little more?  What daemon, what workaround are you using
> instead, can you think of any possible downsides and how do you suggest
> mitigating them, etc?

This is related to improper “daemons” that need the s-s-d --background
option, which implicitly closes relevant file descriptors, as it's the
norm for daemonized programs.

I was looking into this recently and came to the conclusion that it
makes more sense to ask s-s-d to not close the file descriptors, which
would allow the caller to setup any (complex) redirections on their
own, and needs less options from s-s-d side. At the same time it would
also make sense to ask s-s-d to redirect its own error messages to
somewhere else.

For the first I have on my stash a new --no-close option, which I'll
be pushing, for the second I'll be adding something new.

thanks,
guillem




Marked as found in versions dpkg/1.15.8.8. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 16 Jun 2012 02:54:05 GMT) Full text and rfc822 format available.

Merged 627333 646425 Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 16 Jun 2012 02:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#627333; Package dpkg. (Sat, 16 Jun 2012 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 16 Jun 2012 11:33:04 GMT) Full text and rfc822 format available.

Message #32 received at 627333@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Guillem Jover <guillem@debian.org>, Jonathan Nieder <jrnieder@gmail.com>, 627333@bugs.debian.org, Nicholas Bamber <nicholas@periapt.co.uk>
Subject: Re: Bug#627333: start-stop-daemon: Would like to be able to redirect IO of daemon process
Date: Sat, 16 Jun 2012 13:32:01 +0200
On Sat, Jun 16, 2012 at 04:50:40AM +0200, Guillem Jover wrote:
> On Fri, 2012-06-15 at 16:06:24 -0500, Jonathan Nieder wrote:
> > Marc Haber wrote:
> > > On Thu, May 19, 2011 at 05:05:33PM +0100, Nicholas Bamber wrote:
> > 
> > >> It would be nice to have --stderr, --stdout and --stdin options to control
> > >> the IO of the daemon process.
> > >
> > > +1!
> 
> > Can you say a little more?  What daemon, what workaround are you using
> > instead, can you think of any possible downsides and how do you suggest
> > mitigating them, etc?
> 
> This is related to improper “daemons” that need the s-s-d --background
> option

Yes, exactly. Atop, in my case.

> I was looking into this recently and came to the conclusion that it
> makes more sense to ask s-s-d to not close the file descriptors, which
> would allow the caller to setup any (complex) redirections on their
> own, and needs less options from s-s-d side.

Would it be possible to simply write s-s-d --no-close --background
daemon -- $OPTS > /var/log/mydaemon.log with this option, or would I
get into quoting hell?

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 31958061
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 31958062




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#627333; Package dpkg. (Sat, 16 Jun 2012 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 16 Jun 2012 12:45:03 GMT) Full text and rfc822 format available.

Message #37 received at 627333@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Marc Haber <mh+debian-bugs@zugschlus.de>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 627333@bugs.debian.org, Nicholas Bamber <nicholas@periapt.co.uk>
Subject: Re: Bug#627333: start-stop-daemon: Would like to be able to redirect IO of daemon process
Date: Sat, 16 Jun 2012 14:40:27 +0200
On Sat, 2012-06-16 at 13:32:01 +0200, Marc Haber wrote:
> On Sat, Jun 16, 2012 at 04:50:40AM +0200, Guillem Jover wrote:
> > I was looking into this recently and came to the conclusion that it
> > makes more sense to ask s-s-d to not close the file descriptors, which
> > would allow the caller to setup any (complex) redirections on their
> > own, and needs less options from s-s-d side.
> 
> Would it be possible to simply write s-s-d --no-close --background
> daemon -- $OPTS > /var/log/mydaemon.log with this option, or would I
> get into quoting hell?

Yeah that'd be the idea, but I'm not exactly sure what you mean with
"quoting hell".

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#627333; Package dpkg. (Sat, 16 Jun 2012 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 16 Jun 2012 17:09:06 GMT) Full text and rfc822 format available.

Message #42 received at 627333@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Guillem Jover <guillem@debian.org>, Marc Haber <mh+debian-bugs@zugschlus.de>, Jonathan Nieder <jrnieder@gmail.com>, 627333@bugs.debian.org
Subject: Re: Bug#627333: start-stop-daemon: Would like to be able to redirect IO of daemon process
Date: Sat, 16 Jun 2012 18:05:18 +0100
I am sure that this comment will not be of interest to anyone, but when
I had this issue originally it happened that upstream had provided a
sort of daemon wrapper process called "duende". That is now available as
one way of solving this issue. Noone would be more suprised than me if
duende became the standard way of solving these sort of issues in Debian.

On 16/06/12 13:40, Guillem Jover wrote:
> On Sat, 2012-06-16 at 13:32:01 +0200, Marc Haber wrote:
>> On Sat, Jun 16, 2012 at 04:50:40AM +0200, Guillem Jover wrote:
>>> I was looking into this recently and came to the conclusion that it
>>> makes more sense to ask s-s-d to not close the file descriptors, which
>>> would allow the caller to setup any (complex) redirections on their
>>> own, and needs less options from s-s-d side.
>>
>> Would it be possible to simply write s-s-d --no-close --background
>> daemon -- $OPTS > /var/log/mydaemon.log with this option, or would I
>> get into quoting hell?
> 
> Yeah that'd be the idea, but I'm not exactly sure what you mean with
> "quoting hell".
> 
> thanks,
> guillem





Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#627333; Package dpkg. (Sat, 16 Jun 2012 17:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 16 Jun 2012 17:42:12 GMT) Full text and rfc822 format available.

Message #47 received at 627333@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Nicholas Bamber <nicholas@periapt.co.uk>
Cc: Guillem Jover <guillem@debian.org>, Jonathan Nieder <jrnieder@gmail.com>, 627333@bugs.debian.org
Subject: Re: Bug#627333: start-stop-daemon: Would like to be able to redirect IO of daemon process
Date: Sat, 16 Jun 2012 19:40:31 +0200
On Sat, Jun 16, 2012 at 06:05:18PM +0100, Nicholas Bamber wrote:
> I am sure that this comment will not be of interest to anyone, but when
> I had this issue originally it happened that upstream had provided a
> sort of daemon wrapper process called "duende". That is now available as
> one way of solving this issue. Noone would be more suprised than me if
> duende became the standard way of solving these sort of issues in Debian.

duende will unfortunately unconditionally redirect the daemon's output
to syslog, which is not what I need in my current case.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 31958061
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 31958062




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#627333; Package dpkg. (Sat, 16 Jun 2012 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 16 Jun 2012 17:45:03 GMT) Full text and rfc822 format available.

Message #52 received at 627333@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Guillem Jover <guillem@debian.org>, Jonathan Nieder <jrnieder@gmail.com>, 627333@bugs.debian.org, Nicholas Bamber <nicholas@periapt.co.uk>
Subject: Re: Bug#627333: start-stop-daemon: Would like to be able to redirect IO of daemon process
Date: Sat, 16 Jun 2012 19:42:06 +0200
On Sat, Jun 16, 2012 at 02:40:27PM +0200, Guillem Jover wrote:
> On Sat, 2012-06-16 at 13:32:01 +0200, Marc Haber wrote:
> > On Sat, Jun 16, 2012 at 04:50:40AM +0200, Guillem Jover wrote:
> > > I was looking into this recently and came to the conclusion that it
> > > makes more sense to ask s-s-d to not close the file descriptors, which
> > > would allow the caller to setup any (complex) redirections on their
> > > own, and needs less options from s-s-d side.
> > 
> > Would it be possible to simply write s-s-d --no-close --background
> > daemon -- $OPTS > /var/log/mydaemon.log with this option, or would I
> > get into quoting hell?
> 
> Yeah that'd be the idea, but I'm not exactly sure what you mean with
> "quoting hell".

Quoting hell is what happens when a command is passed though multiple
instances of shells and shell expansions and you thus never know how
many \'s and "'s you need to have your metachars interpreted by the
correct shell.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 31958061
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 31958062




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#627333; Package dpkg. (Sat, 16 Jun 2012 18:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 16 Jun 2012 18:09:10 GMT) Full text and rfc822 format available.

Message #57 received at 627333@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Marc Haber <mh+debian-bugs@zugschlus.de>, 627333@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Nicholas Bamber <nicholas@periapt.co.uk>
Subject: Re: Bug#627333: start-stop-daemon: Would like to be able to redirect IO of daemon process
Date: Sat, 16 Jun 2012 20:06:25 +0200
On Sat, 2012-06-16 at 19:42:06 +0200, Marc Haber wrote:
> On Sat, Jun 16, 2012 at 02:40:27PM +0200, Guillem Jover wrote:
> > On Sat, 2012-06-16 at 13:32:01 +0200, Marc Haber wrote:
> > > Would it be possible to simply write s-s-d --no-close --background
> > > daemon -- $OPTS > /var/log/mydaemon.log with this option, or would I
> > > get into quoting hell?
> > 
> > Yeah that'd be the idea, but I'm not exactly sure what you mean with
> > "quoting hell".
> 
> Quoting hell is what happens when a command is passed though multiple
> instances of shells and shell expansions and you thus never know how
> many \'s and "'s you need to have your metachars interpreted by the
> correct shell.

Sure and sorry, I see my comment was not very clear, should have read,
“I'm not exactly sure what you mean with "quoting hell" applied to this
particular scenario”.

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#627333; Package dpkg. (Mon, 18 Jun 2012 13:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Mon, 18 Jun 2012 13:55:02 GMT) Full text and rfc822 format available.

Message #62 received at 627333@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Nicholas Bamber <nicholas@periapt.co.uk>, 627333@bugs.debian.org
Subject: Re: start-stop-daemon: Would like to be able to redirect IO of daemon process
Date: Mon, 18 Jun 2012 15:47:37 +0200
On Fri, Jun 15, 2012 at 04:06:24PM -0500, Jonathan Nieder wrote:
> Marc Haber wrote:
> > On Thu, May 19, 2011 at 05:05:33PM +0100, Nicholas Bamber wrote:
> 
> >> It would be nice to have --stderr, --stdout and --stdin options to control
> >> the IO of the daemon process.
> >
> > +1!
> 
> Can you say a little more?  What daemon, what workaround are you using
> instead, can you think of any possible downsides and how do you suggest
> mitigating them, etc?

The "daemon" in my case is atop, which writes its error messages to
stderr, and upstream wants to have those in a log. I have worked
around the s-s-d limitation by having s-s-d call a wrapper around atop
which does the redirection and then execs atop - much ugly, and
introducing a nice new class of errors since the process changes names.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 31958061
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 31958062




Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 30 Jun 2012 04:57:14 GMT) Full text and rfc822 format available.

Message sent on to Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#627333. (Sat, 30 Jun 2012 04:57:43 GMT) Full text and rfc822 format available.

Message #67 received at 627333-submitter@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 627333-submitter@bugs.debian.org
Subject: Bug#627333 marked as pending
Date: Sat, 30 Jun 2012 04:53:52 +0000
tag 627333 pending
thanks

Hello,

Bug #627333 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=3de1552

---
commit 3de1552982f9ff60f59826d1811b2f8c0add8325
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jun 17 06:54:40 2012 +0200

    s-s-d: Add new --no-close option to disable closing fds on --background
    
    This enabled the caller to see process messages for debugging purposes,
    or to be able to redirect file descriptors to log files, syslog or
    similar.
    
    Closes: #627333, #646425

diff --git a/debian/changelog b/debian/changelog
index 56de889..9260480 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -27,6 +27,8 @@ dpkg (1.16.5) UNRELEASED; urgency=low
     Thanks to Niels Thykier <niels@thykier.net>. Closes: #677631
   * Document in more detail in deb(5) the supported ar archive format.
   * Document in deb-src-control(5) the “Private-” field prefix.
+  * Add new start-stop-daemon --no-close option to disable closing file
+    descriptors on --background. Closes: #627333, #64642
 
   [ Updated dpkg translations ]
   * Swedish (Peter Krefting).




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sat, 30 Jun 2012 05:21:14 GMT) Full text and rfc822 format available.

Notification sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Bug acknowledged by developer. (Sat, 30 Jun 2012 05:21:14 GMT) Full text and rfc822 format available.

Message #72 received at 627333-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 627333-close@bugs.debian.org
Subject: Bug#627333: fixed in dpkg 1.16.5
Date: Sat, 30 Jun 2012 05:17:51 +0000
Source: dpkg
Source-Version: 1.16.5

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.16.5_all.deb
  to main/d/dpkg/dpkg-dev_1.16.5_all.deb
dpkg_1.16.5.dsc
  to main/d/dpkg/dpkg_1.16.5.dsc
dpkg_1.16.5.tar.xz
  to main/d/dpkg/dpkg_1.16.5.tar.xz
dpkg_1.16.5_amd64.deb
  to main/d/dpkg/dpkg_1.16.5_amd64.deb
dselect_1.16.5_amd64.deb
  to main/d/dpkg/dselect_1.16.5_amd64.deb
libdpkg-dev_1.16.5_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.16.5_amd64.deb
libdpkg-perl_1.16.5_all.deb
  to main/d/dpkg/libdpkg-perl_1.16.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627333@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Jun 2012 04:28:51 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.5
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 64642 440094 558095 621763 624000 627333 640676 643043 652970 664058 672723 673190 675333 676232 677631 678933 679010
Changes: 
 dpkg (1.16.5) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * dpkg-source will now clean up after a failed application of a quilt
     patch. Closes: #652970
     And it will display a message explaining the most likely cause of
     failure (patch applying with fuzz).
   * When dpkg-source regenerates the automatic patch (with formats "2.0"
     or "3.0 (quilt)") it will keep the current patch header to avoid
     losing changes made by the maintainer.
   * Modify dpkg-source --commit to auto-whitelist modified binary files.
     That way the same command can be used whatever kind of upstream files
     has been modified.
   * dpkg-source now supports a new option --no-unapply-patches to force
     patches to be kept applied after build (used by formats "2.0" and "3.0
     (quilt)"). Closes: #643043
 .
   [ Guillem Jover ]
   * Add a dpkg-buildflags --status action to describe the flag settings.
     Thanks to Bernhard R. Link <brlink@debian.org>. Closes: #664058
   * Add support for “binary-only” key-value option in changelogs, to allow
     marking changelog entries as part of a binary only upload, having a
     different version from the source package. Closes: #440094, #672723
   * Minimize source architecture list on «dpkg-source -b» by removing
     architectures already covered by architecture wildcards. Closes: #675333
   * Do not assume $ENV{'HOME'} is defined in Dpkg::Source::Package.
     Thanks to Niels Thykier <niels@thykier.net>. Closes: #677631
   * Document in more detail in deb(5) the supported ar archive format.
   * Document in deb-src-control(5) the “Private-” field prefix.
   * Add new start-stop-daemon --no-close option to disable closing file
     descriptors on --background. Closes: #627333, #64642
   * Switch source compression to xz.
   * Detect ar header fields truncation due to too long member names or too
     large member sizes. Closes: #678933
   * Add new dpkg-query --control-list and --control-show commands, which
     replace the now deprecated --control-path.
   * Print master and slave alternarive link names in update-alternatives
     --query and always print alternative link in --config. Closes: #679010
   * Cleanup and clarify buffer I/O error reporting. Closes: #621763
   * Avoid full stop and double newline at the end of errors and warnings.
     Thanks to Jonathan Nieder <jnieder@gmail.com>. Closes: #624000
   * Change all programs to accept -? instead of -h for help output.
   * Add support for specific arch-qualified dependencies. Closes: #676232
     Thanks to Thibaut Girka <thib@sitedethib.com>.
   * Accept “:native” arch-qualified Build-Dependencies. Closes: #558095
     Thanks to Thibaut Girka <thib@sitedethib.com>.
   * Do not use undefined values returned form deps_parse() in dpkg-shlibdeps.
     Closes: #640676
   * Add an Architecture column to «dpkg-query -l» before the Description
     column. Suggested by Jonathan Nieder <jnieder@gmail.com>. Closes: #673190
 .
   [ Updated dpkg translations ]
   * Swedish (Peter Krefting).
 .
   [ Updated dselect translations ]
   * Swedish (Peter Krefting).
 .
   [ Updated scripts translations ]
   * German (Helge Kreutzmann).
 .
   [ Updated man page translations ]
   * German (Helge Kreutzmann).
   * Swedish (Peter Krefting).
Checksums-Sha1: 
 5e256018148d50da61a19da0cbce49f65cd03169 1372 dpkg_1.16.5.dsc
 e3aaf08015bab5c40980f36514152102556b76b2 3546160 dpkg_1.16.5.tar.xz
 d826663e329d140f38ddfc4353b937cb270c6688 666932 libdpkg-dev_1.16.5_amd64.deb
 c078e1861151da90049e7ce788cb513b769e2e0f 2266848 dpkg_1.16.5_amd64.deb
 ea065b58a7aa49771a275e4e26a7603b65becadf 1100228 dselect_1.16.5_amd64.deb
 c1e214b79282fb56eaa54ad8f2a1dc2daad64eef 1142828 dpkg-dev_1.16.5_all.deb
 085f8ee024365882d641e60e209cc3bfca43bd36 852954 libdpkg-perl_1.16.5_all.deb
Checksums-Sha256: 
 3a4eec53e585abcb15c71f08331da63610150f4858793bc68ee2df006d1da8a6 1372 dpkg_1.16.5.dsc
 fcd8d846479f3f955e1f1facc4422aed6c3173b6c5acd904d9db60f24bc18e7b 3546160 dpkg_1.16.5.tar.xz
 aba88af2256caef0fdd345ba9eeacff8d2013a07b045d5b7c93162bd0893c10b 666932 libdpkg-dev_1.16.5_amd64.deb
 1a56e13f5fc11eabb5ea7d17852cb1b3b09a117b16803e5b9a64ec14b3f37a62 2266848 dpkg_1.16.5_amd64.deb
 50ac49b8115e6d19148031ecec7f976c69a084504c42b860abd1470e63b1f5d0 1100228 dselect_1.16.5_amd64.deb
 7a23dd256195eec9f1ce2297737747a27a8c6d3beba5c9e8e9ac8d8734f07f54 1142828 dpkg-dev_1.16.5_all.deb
 d77dc62deb89a923952c533b2320130d9573e8c3ebfa09fbdf80c835ca30ef65 852954 libdpkg-perl_1.16.5_all.deb
Files: 
 571bd79d38407d605f7559cf65347c01 1372 admin required dpkg_1.16.5.dsc
 c70412c8b0f3609680104585ddb4ba5c 3546160 admin required dpkg_1.16.5.tar.xz
 49221981d6f3490ddc87c8a03bbe332d 666932 libdevel optional libdpkg-dev_1.16.5_amd64.deb
 d9128c702529b095fda97b205bf03398 2266848 admin required dpkg_1.16.5_amd64.deb
 3eed99660309c9fba61b490c057deb78 1100228 admin optional dselect_1.16.5_amd64.deb
 3c7266174c297984846a6eb88ae3730f 1142828 utils optional dpkg-dev_1.16.5_all.deb
 848633279951281c6213f877251081e3 852954 perl optional libdpkg-perl_1.16.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/uhA4ACgkQuW9ciZ2SjJvLqACgvBBdkE81qC2iEsdk4lhVoilv
hd8AoI/JlSVaR2i+DU9dLBBvCWo9RvWC
=xtFu
-----END PGP SIGNATURE-----





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sat, 30 Jun 2012 05:21:15 GMT) Full text and rfc822 format available.

Notification sent to Sandro Tosi <morph@debian.org>:
Bug acknowledged by developer. (Sat, 30 Jun 2012 05:21:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Aug 2012 07:26:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:38:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.